testing::internal::EqHelper< true > Class Template Reference

`#include <gtest.h>`

## Static Public Member Functions

template<typename T1 , typename T2 >
static AssertionResult | Compare (const char *lhs_expression, const char *rhs_expression, const T1 &lhs, const T2 &rhs, typename EnableIf<!std::is_pointer< T2 >::value >::type *=nullptr)
template<typename T >
static AssertionResult | Compare (const char *lhs_expression, const char *rhs_expression, Secret *, T *rhs)

## Detailed Description

### template<>
class testing::internal::EqHelper< true >

Definition at line 16163 of file gtest.h.

## Member Function Documentation

## Compare() [1/2]

template<typename T1 , typename T2 >

static AssertionResult testing::internal::EqHelper< true >::Compare | ( | const char * | lhs_expression,
|  | const char * | rhs_expression,
|  | const T1 & | lhs,
|  | const T2 & | rhs,
|  | typename EnableIf<!std::is_pointer< T2 >::value >::type * | = `nullptr`
| ) |  |

inlinestatic

Definition at line 16170 of file gtest.h.

## Compare() [2/2]

template<typename T >

static AssertionResult testing::internal::EqHelper< true >::Compare | ( | const char * | lhs_expression,
|  | const char * | rhs_expression,
|  | Secret * | ,
|  | T * | rhs
| ) |  |

inlinestatic

Definition at line 16185 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h